> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Today



## OpenAPI

````yaml /openapi.json get /api/v1/teams/{team_id}/today
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/today:
    get:
      tags:
        - LoopOps
      summary: Get Today
      operationId: get_today_api_v1_teams__team_id__today_get
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TodayViewResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TodayViewResponse:
      properties:
        cycle_day:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cycle Day
          description: Current day within cycle (1-indexed)
        cycle_progress:
          type: number
          title: Cycle Progress
          description: 0.0–1.0 progress through cycle
          default: 0
        current_phase:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Phase
        running:
          items:
            $ref: '#/components/schemas/LoopInstanceResponse'
          type: array
          title: Running
        upcoming:
          items:
            $ref: '#/components/schemas/LoopInstanceResponse'
          type: array
          title: Upcoming
        completed_today:
          items:
            $ref: '#/components/schemas/LoopInstanceResponse'
          type: array
          title: Completed Today
        signals_fired:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Signals Fired
      type: object
      title: TodayViewResponse
      description: What's happening today in the team's cycle.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LoopInstanceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        loop_id:
          type: string
          format: uuid
          title: Loop Id
        cycle_instance_id:
          type: string
          format: uuid
          title: Cycle Instance Id
        occurrence_day:
          type: integer
          title: Occurrence Day
        status:
          type: string
          title: Status
        scheduled_at:
          type: string
          format: date-time
          title: Scheduled At
        publish_at:
          type: string
          format: date-time
          title: Publish At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        signals_emitted:
          items:
            type: string
          type: array
          title: Signals Emitted
        created_at:
          type: string
          format: date-time
          title: Created At
        task_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Status
        task_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Title
        task_platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Platform
        task_scheduled_for:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Task Scheduled For
      type: object
      required:
        - id
        - loop_id
        - cycle_instance_id
        - occurrence_day
        - status
        - scheduled_at
        - publish_at
        - started_at
        - completed_at
        - signals_emitted
        - created_at
      title: LoopInstanceResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````